package com.artfess.cqlt.manager;

import com.artfess.cqlt.model.SysSubjectClass;
import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.SysSubjectTarget;

import java.util.List;

/**
 * 主题/专题分类表（sys_subject_class） 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-30
 */
public interface SysSubjectClassManager extends BaseManager<SysSubjectClass> {

    boolean importExcel(List<SysSubjectClass> list);

    List<SysSubjectClass> getTree(String targetId);

    boolean saveInfo(SysSubjectClass t);

    boolean updateInfo(SysSubjectClass t);

    List<SysSubjectClass> getPatentTarget(String targetId);
}
